Subject: Re: bug#48365: 13.0.11; Dollars in distinct comments trigger math mode highlighting in text in-between

From: Tassilo Horn <[email-masked]>
Date: Wed, 12 May 2021 20:49:24 +0200

Ikumi Keita <[email-masked]> writes:

>>>> In case of file B, which differs only by an added %$ at end of the
>>>> \newcommand line, the \newcommand for example is not highlighted and
>>>> the B line changes colors without applying script style, see
>>>> screenshot
>
> Fixed in the git repo. Please try.

Works like a charm, and good catch!  How did you find the culprit?

With `jit-lock-debug-mode' I get as far as getting a message

  Error running timer ‘jit-lock--debug-fontify’: (end-of-buffer)

which clearly tells we're trying to moe farther than end of buffer but
still there is no indication where we're doing that.  Do you have some
trick I'm not aware of yet?

Bye,
Tassilo